GDB (xrefs)

Public Types | Public Member Functions | Public Attributes | List of all members
selftests::optional::assign_1::value_type Struct Reference
Inheritance diagram for selftests::optional::assign_1::value_type:

## Public Types
enum | state_type { zero, moved_from, throwing_construction, throwing_copy, throwing_copy_assignment, throwing_move, throwing_move_assignment, threw }

## Public Member Functions
| value_type ()=default
| value_type (state_type state_)
| value_type (value_type const &other)
value_type & | operator= (value_type const &other)
| value_type (value_type &&other)
value_type & | operator= (value_type &&other)
void | throw_if (state_type match)

## Public Attributes
state_type | state = zero

## Additional Inherited Members
Private Member Functions inherited from selftests::optional::assign_1::mixin_counter
| mixin_counter ()
| mixin_counter (mixin_counter const &)
| ~mixin_counter ()

## Detailed Description

Definition at line 32 of file optional-selftests.c.

## Member Enumeration Documentation

## ◆ state_type

enum selftests::optional::assign_1::value_type::state_type

Enumerator
zero |
moved_from |
throwing_construction |
throwing_copy |
throwing_copy_assignment |
throwing_move |
throwing_move_assignment |
threw |

Definition at line 34 of file optional-selftests.c.

## Constructor & Destructor Documentation

## ◆ value_type() [1/4]

selftests::optional::assign_1::value_type::value_type | ( |  | ) |
| default

## ◆ value_type() [2/4]

selftests::optional::assign_1::value_type::value_type | ( | state_type | state_ | ) |
| inline explicit

Definition at line 48 of file optional-selftests.c.

## ◆ value_type() [3/4]

selftests::optional::assign_1::value_type::value_type | ( | value_type const & | other | ) |
| inline

Definition at line 54 of file optional-selftests.c.

## ◆ value_type() [4/4]

selftests::optional::assign_1::value_type::value_type | ( | value_type && | other | ) |
| inline

Definition at line 68 of file optional-selftests.c.

## Member Function Documentation

## ◆ operator=() [1/2]

value_type& selftests::optional::assign_1::value_type::operator= | ( | value_type const & | other | ) |
| inline

Definition at line 61 of file optional-selftests.c.

## ◆ operator=() [2/2]

value_type& selftests::optional::assign_1::value_type::operator= | ( | value_type && | other | ) |
| inline

Definition at line 76 of file optional-selftests.c.

## ◆ throw_if()

void selftests::optional::assign_1::value_type::throw_if | ( | state_type | match | ) |
| inline

Definition at line 84 of file optional-selftests.c.

## Member Data Documentation

## ◆ state

state_type selftests::optional::assign_1::value_type::state = zero

Definition at line 93 of file optional-selftests.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/unittests/optional-selftests.c